org.hibernate.validator.ap.checks

## Class GetterCheck

- java.lang.Object
- - org.hibernate.validator.ap.checks.AbstractConstraintCheck
  - - org.hibernate.validator.ap.checks.GetterCheck

- All Implemented Interfaces:
    ConstraintCheck

      public class GetterCheck
      extends AbstractConstraintCheck

  Checks whether a given element is a valid getter method.
  Author:
    Gunnar Morling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetterCheck(boolean methodConstraintsSupported)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<ConstraintCheckError>` | `checkMethod(ExecutableElement element, AnnotationMirror annotation)` Checks, whether the given annotation is allowed at the given method.

    - ### Methods inherited from class org.hibernate.validator.ap.checks.AbstractConstraintCheck

      `checkAnnotationType, checkField, checkNonAnnotationType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetterCheck

          public GetterCheck(boolean methodConstraintsSupported)

  - ### Method Detail

    - #### checkMethod

          public Set<ConstraintCheckError> checkMethod(ExecutableElement element,
                                              AnnotationMirror annotation)

      Description copied from interface: `ConstraintCheck`
      Checks, whether the given annotation is allowed at the given method.
      Specified by:
        `checkMethod` in interface `ConstraintCheck`
      Overrides:
        `checkMethod` in class `AbstractConstraintCheck`
      Parameters:
        `element` - An annotated method.
        `annotation` - An annotation at that method.
      Returns:
        A set with errors, that describe, why the given annotation is not allowed at the given element. In case no errors occur (the given annotation is allowed at the given element), an empty set must be returned.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved